Bug 11214 - Unable to handle kernel paging request
Unable to handle kernel paging request
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-04 03:05 EDT by drouin
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 17:14:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description drouin 2000-05-04 03:05:07 EDT
On a regular i386 rh6.2 updated (kernel-2.2.14-12) i find my box hang every
morning.
I have attached a syslog extract :
May  3 18:10:54 moliere kernel: ll_rw_block: device 01:02: only 1024-char
blocks implemented (4096)
May  3 18:12:11 moliere kernel: invalid operand: 0000
May  3 18:12:11 moliere kernel: CPU:    0
May  3 18:12:11 moliere kernel: EIP:    0010:[ext2_find_entry+406/752]
May  3 18:12:11 moliere kernel: EFLAGS: 00010282
May  3 18:12:11 moliere kernel: eax: 00000000   ebx: c6a0dc10   ecx:
00000010   edx: c6a0e000
May  3 18:12:11 moliere kernel: esi: c254df01   edi: c6a0dc1a   ebp:
c7a78920   esp: c188dd50
May  3 18:12:11 moliere kernel: ds: 0018   es: 0018   ss: 0018
May  3 18:12:11 moliere kernel: Process cpumemusage_app (pid: 3376, process
nr: 65, stackpage=c188d000)
May  3 18:12:11 moliere kernel: Stack: c69fda90 c69fdadc 00000003 c188dd94
00000000 00000003 00000c10 c6d4be00
May  3 18:12:11 moliere kernel:        ffffffe4 00000001 c0193517 c027371c
c019340c 000003e8 c027371c c7fedca0
May  3 18:12:11 moliere kernel:        c13179e0 c7a780e0 c7a78080 c7a78020
c7a78920 c7962f60 c7962f00 c7962ea0
May  3 18:12:11 moliere kernel: Call Trace: [read_intr+267/292]
[read_intr+0/292] [ext2_lookup+48/124] [real_lookup+79/160]
[lookup_dentry+296/488] [open_namei+102/848]
[end_that_request_first+121/184]
May  3 18:12:11 moliere kernel:        [do_execve+63/480]
[end_buffer_io_async+271/308] [end_that_request_first+121/184]
[getname+88/148] [sys_execve+47/88] [system_call+52/56]
May  3 18:12:11 moliere kernel: Code: 3b 00 74 6a 8b 74 24 74 8d 7b 08 8b
4c 24 78 fc a8 00 f3 a6
May  3 18:12:13 moliere kernel: attempt to access beyond end of device
May  3 18:12:13 moliere kernel: 03:15: rw=0, want=2347442, limit=0
May  3 18:12:13 moliere kernel: dev 03:15 blksize=4096 blocknr=2347441
sector=4694882 size=1024 count=1
May  3 18:12:13 moliere kernel: attempt to access beyond end of device
May  3 18:12:13 moliere kernel: 03:18: rw=0, want=589833, limit=0
May  3 18:12:13 moliere kernel: dev 03:18 blksize=4096 blocknr=589832
sector=1179664 size=1024 count=1
May  3 18:12:13 moliere kernel: EXT2-fs error (device ide0(3,24)):
read_block_bitmap: Cannot read block bitmap - block_group = 72,
block_bitmap = 589832
May  3 18:13:19 moliere kernel: Unable to handle kernel paging request at
virtual address b1dc5c5e
May  3 18:13:19 moliere kernel: current->tss.cr3 = 05528000, %cr3 =
05528000
May  3 18:13:19 moliere kernel: *pde = 00000000
May  3 18:13:19 moliere kernel: Oops: 0002
May  3 18:13:19 moliere kernel: CPU:    0
May  3 18:13:19 moliere kernel: EIP:    0010:[reschedule_idle+114/124]
May  3 18:13:19 moliere kernel: EFLAGS: 00013282
May  3 18:13:19 moliere kernel: eax: c746f79e   ebx: c5526001   ecx:
ffffffff   edx: 0000003c
May  3 18:13:19 moliere kernel: esi: c3588e84   edi: 00000001   ebp:
c5527e9c   esp: c5527ea0
May  3 18:13:19 moliere kernel: ds: 0018   es: 0018   ss: 0018
May  3 18:13:19 moliere kernel: Process X (pid: 728, process nr: 47,
stackpage=c5527000)
May  3 18:13:19 moliere kernel: Stack: c0110e4e c39b4000 c5527ebc c01114df
c38cf640 0000001c 00000001 c38cf944
May  3 18:13:19 moliere kernel:        c0178a79 c45e0900 c014daea c38cf640
c014e3e9 c45e0900 c45e0900 00000001
May  3 18:13:20 moliere kernel:        c0178833 c45e0900 c3588d5c 00001000
00000040 c5527f80 c38cfb28 c45e0900
May  3 18:13:20 moliere kernel: Call Trace: [wake_up_process+58/68]
[__wake_up+59/72] [unix_stream_write_space+25/64] [sock_wfree+22/28]
[__kfree_skb+53/168] [unix_stream_recvmsg+631/808] [sock_recvmsg+66/180]
May  3 18:13:20 moliere kernel:        [unix_stream_recvmsg+0/808]
[sock_read+143/152] [sys_read+174/196] [system_call+52/56]
May  3 18:13:20 moliere kernel: Code: 00 8b 5d fc 89 ec 5d c3 89 f6 55 89
e5 89 c2 9c 59 fa c7 02
May  3 18:13:21 moliere kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000166
May  3 18:13:21 moliere kernel: current->tss.cr3 = 00101000, %cr3 =
00101000
May  3 18:13:21 moliere kernel: *pde = 00000000
May  3 18:13:21 moliere kernel: Oops: 0000
May  3 18:13:21 moliere kernel: CPU:    0
May  3 18:13:21 moliere kernel: EIP:    0010:[__fput+13/72]
May  3 18:13:21 moliere kernel: EFLAGS: 00013292
May  3 18:13:22 moliere kernel: eax: 00000000   ebx: c4646940   ecx:
c3dc8aa0   edx: c4646b40
May  3 18:13:22 moliere kernel: esi: 00000000   edi: 0000015e   ebp:
00000001   esp: c5527dc8
May  3 18:13:22 moliere kernel: ds: 0018   es: 0018   ss: 0018
May  3 18:13:22 moliere kernel: Process X (pid: 728, process nr: 47,
stackpage=c5527000)
May  3 18:13:22 moliere kernel: Stack: c4463180 c01269e3 c4646940 c4646b40
c4646b40 c012598e c4646b40 0003ffbf
May  3 18:13:22 moliere kernel:        0000000e c5a6bbe0 c01177d1 c4646b40
c5a6bbe0 c5527e64 c5526000 b1dc5c5e
May  3 18:13:22 moliere kernel:        0e22a000 0000000e c5526000 c010a1e4
0000000b c5527e64 c01de8f8 c01e014e
May  3 18:13:19 moliere gnome-name-server[770]: input condition is: 0x10,
exiting
May  3 18:13:22 moliere kernel: Call Trace: [fput+23/72] [filp_close+82/92]
[do_exit+297/628] [die_if_no_fixup+0/64] [error_table+2420/8924]
[error_table+8650/8924] [do_page_fault+700/900]
May  3 18:13:22 moliere kernel:        [error_table+8650/8924]
[error_code+45/52] [reschedule_idle+114/124] [wake_up_process+58/68]
[__wake_up+59/72] [unix_stream_write_space+25/64] [sock_wfree+22/28]
[__kfree_skb+53/168]
May  3 18:13:22 moliere kernel:        [unix_stream_recvmsg+631/808]
[sock_recvmsg+66/180] [unix_stream_recvmsg+0/808] [sock_read+143/152]
[sys_read+174/196] [system_call+52/56]
May  3 18:13:22 moliere kernel: Code: 8b 77 08 85 c0 74 0e 8b 40 24 85 c0
74 07 53 56 ff d0 83 c4
May  3 18:13:22 moliere kernel: ll_rw_block: device 03:00: only 1024-char
blocks implemented (4096)

don't hesitate to contact me....
see ya
Antoine
Comment 1 Alan Cox 2000-08-08 17:14:16 EDT
Does this box pass memtest86?
Comment 2 Alan Cox 2000-08-22 12:02:22 EDT
Assuming hardware. Re-open if you run memtest86 on it
Comment 3 drouin 2000-08-25 04:50:56 EDT
The box passed memtest86. 
Sorry that it was so long, but i couldn't halt the box. 
It had a 30 days uptime when i halted it

Note You need to log in before you can comment on or make changes to this bug.